ghcide-2.4.0.0: The core of an IDE

Safe Haskell | Safe-Inferred
Language | Haskell2010

Development.IDE.Plugin.Completions

# Documentation

descriptor :: Recorder (WithPriority Log) -> PluginId -> PluginDescriptor IdeState #

data Log #

Constructors

LogShake Log |

#### Instances

Instances details

Show Log # |
Instance details Defined in Development.IDE.Plugin.Completions Methods showsPrec :: Int -> Log -> ShowS # show :: Log -> String # showList :: [Log] -> ShowS #
Pretty Log # |
Instance details Defined in Development.IDE.Plugin.Completions Methods pretty :: Log -> Doc ann # prettyList :: [Log] -> Doc ann #

ghcideCompletionsPluginPriority :: Natural #